part of 'role_extend_bloc.dart';

abstract class RoleExtendState extends Equatable {
  const RoleExtendState();

  @override
  List<Object> get props => [];
}

class RoleExtendInitial extends RoleExtendState {}

class RoleExtendLoadedState extends RoleExtendState {
  final List<RolesExtend> rolesExtend;
  final List<RBAC> roles;

  const RoleExtendLoadedState({required this.rolesExtend, required this.roles});
}

class RoleExtendLoadingState extends RoleExtendState {}

class RoleExtendErrorState extends RoleExtendState {
  final String message;
  const RoleExtendErrorState({required this.message});
}

class RoleExtendAddedState extends RoleExtendState {
  final Map<dynamic, dynamic> response;
  const RoleExtendAddedState({required this.response});
}

class RoleExtendDeletedState extends RoleExtendState {
  final bool success;
  const RoleExtendDeletedState({required this.success});
}
